﻿using AutoMapper;

namespace GameStore.Entities.DataAccessModels.Mapping
{
    class GameWrapperMappingProfile : Profile
    {
        public GameWrapperMappingProfile()
        {
            CreateMap<GameWrapper, Game>()
                .ForMember(dst => dst.Id, opt => opt.MapFrom(wrapper => wrapper.Id))
                .ForMember(dst => dst.CodeName, opt => opt.MapFrom(wrapper => wrapper.CodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(wrapper => wrapper.DisplayName))
                .ForMember(dst => dst.Price, opt => opt.MapFrom(wrapper => wrapper.Price));

            CreateMap<Game, GameWrapper>()
                .ForMember(wrapper => wrapper.Id, opt => opt.MapFrom(game => game.Id))
                .ForMember(wrapper => wrapper.CodeName, opt => opt.MapFrom(game => game.CodeName))
                .ForMember(wrapper => wrapper.DisplayName, opt => opt.MapFrom(game => game.DisplayName))
                .ForMember(wrapper => wrapper.Price, opt => opt.MapFrom(game => game.Price))
                .ForMember(wrapper => wrapper.Developer, options => options.Ignore())
                .ForMember(wrapper => wrapper.Awards, options => options.Ignore());
        }
    }
}
