﻿using AutoMapper;

namespace GameStore.Services.DataTransferModels.Mapping
{
    public class DeveloperMappingProfile : Profile
    {
        public DeveloperMappingProfile()
        {
            CreateMap<Entities.DataAccessModels.Developer, Developer>()
                .ForMember(dst => dst.DeveloperCodeName, opt => opt.MapFrom(src => src.CodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.DisplayName));

            CreateMap<Developer, Entities.DataAccessModels.Developer>()
                .ForMember(dst => dst.CodeName, opt => opt.MapFrom(src => src.DeveloperCodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.DisplayName))
                .ForMember(dst => dst.Games, opt => opt.Ignore())
                .ForMember(dst => dst.Id, opt => opt.Ignore());
        }
    }
}
