﻿using AutoMapper;

namespace GameStore.Services.DataTransferModels.Mapping
{
    public class GameItemMappingProfile : Profile
    {
        public GameItemMappingProfile()
        {
            CreateMap<Entities.DataAccessModels.Game, GameItem>()
                .ForMember(dst => dst.GameCodeName, opt => opt.MapFrom(src => src.CodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.DisplayName))
                .ForMember(dst => dst.GamePrice, opt => opt.MapFrom(src => src.Price));

            CreateMap<GameItem, Entities.DataAccessModels.Game>()
                .ForMember(dst => dst.CodeName, opt => opt.MapFrom(src => src.GameCodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.DisplayName))
                .ForMember(dst => dst.Price, opt => opt.MapFrom(src => src.GamePrice))
                .ForMember(dst => dst.Id, opt => opt.Ignore());
        }
    }
}
