﻿using AutoMapper;

namespace GameStore.Services.DataTransferModels.Mapping
{
    public class GameMappingProfile : Profile
    {
        public GameMappingProfile()
        {
            CreateMap<Entities.DataAccessModels.GameWrapper, Game>()
                .ForMember(dst => dst.GameCodeName, opt => opt.MapFrom(src => src.CodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.DisplayName))
                .ForMember(dst => dst.GamePrice, opt => opt.MapFrom(src => src.Price))
                .ForMember(dst => dst.Developer, opt => opt.MapFrom(src => src.Developer));
        }
    }
}
