using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using GameStore.Models;
using GameStore.Services.GameStock;
using AutoMapper;
using Microsoft.AspNetCore.Mvc.Rendering;
using System.Linq;
using Newtonsoft.Json;

namespace GameStore.Controllers.Web
{
    public class GamesReactController : Controller
    {
        private readonly IGameStockService _gameStockService;
        private IMapper _mapper;

        public GamesReactController(IGameStockService gameStockService, IMapper mapper)
        {
            _gameStockService = gameStockService;
            _mapper = mapper;
        }

        public async Task<IActionResult> Index()
        {
            var gamesDTO = await _gameStockService.GetAllGames();

            return View((object)JsonConvert.SerializeObject(gamesDTO));
        }
    }
}
