﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text.Encodings.Web;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace GameStore.Models
{
    public class CreateGameViewModel : IValidatableObject
    {
        [Required]
        [Display(Name="Code name")]
        public string CodeName { get; set; }

        [Required]
        public string Name { get; set; }

        public decimal Price { get; set; }

        [Required]
        [Display(Name = "Developer")]
        public string DeveloperCodeName { get; set; }

        public SelectList DeveloperList { get; set; }

        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            if (CodeName != UrlEncoder.Default.Encode(CodeName))
            {
                yield return new ValidationResult("Invalid code name");
            }
        }
    }
}
