﻿using AutoMapper;

namespace GameStore.Models.Mapping
{
    public class GameMappingProfile : Profile
    {
        public GameMappingProfile()
        {
            CreateMap<Services.DataTransferModels.GameItem, GameViewModel>()
                .ForMember(dst => dst.CodeName, opt => opt.MapFrom(src => src.GameCodeName))
                .ForMember(dst => dst.Name, opt => opt.MapFrom(src => src.DisplayName))
                .ForMember(dst => dst.Price, opt => opt.MapFrom(src => src.GamePrice));

            CreateMap<Services.DataTransferModels.Game, GameDetailsViewModel>()
                .IncludeBase<Services.DataTransferModels.GameItem, GameViewModel>()
                .ForMember(dst => dst.DeveloperName, opt => opt.MapFrom(src => src.Developer.DisplayName));

            CreateMap<CreateGameViewModel, Services.DataTransferModels.GameItem>()
                .ForMember(dst => dst.GameCodeName, opt => opt.MapFrom(src => src.CodeName))
                .ForMember(dst => dst.DisplayName, opt => opt.MapFrom(src => src.Name))
                .ForMember(dst => dst.GamePrice, opt => opt.MapFrom(src => src.Price));
        }
    }
}
