import React from 'react';
import actionCreators from './actionCreators';
import EditGame from './EditGame';

class App extends React.Component {
  constructor(props) {
    super(props);

    this.viewGameRows = this.viewGameRows.bind(this);
    this.viewGameRow = this.viewGameRow.bind(this);
    this.viewEditRow = this.viewEditRow.bind(this);
  }

  viewGameRows() {
    return this.props.games.map(game => this.viewGameRow(game));
  }

  viewGameRow(game) {
    const editedGame = this.props.editedGame;

    let editRow = null;
    if (editedGame && editedGame.gameCodeName === game.gameCodeName) {
      editRow = this.viewEditRow(this.props.editedGame);
    }

    const gameRow = (
      <tr
        key={game.gameCodeName}
        onClick={() => actionCreators.showDetailsFor(game)}
      >
        <td>{game.displayName}</td>
        <td>{game.gamePrice}$</td>
        <td>TODO: display developer</td>
      </tr>
    );

    return ([gameRow, editRow]);
  }

  viewEditRow(game) {
    return (
      <tr>
        <td colSpan="3">
          <EditGame editedGame={game} />
        </td>
      </tr>
    );
  }

  render() {
    return (
      <div>
        <table className="table table-hover">
          <thead>
            <tr>
              <th>Name</th>
              <th>Price</th>
              <th>Developer</th>
            </tr>
          </thead>
          <tbody>
            {this.viewGameRows()}
          </tbody>
        </table>
      </div>
    );
  }
}

export default App;
