import React from 'react';
import actionCreators from './actionCreators';

export default class EditGame extends React.Component {
  render() {
    const editedGame = this.props.editedGame;

    const displayNameHasError = editedGame.displayName.length <= 0;

    let displayNameClassName = "form-group";
    if (displayNameHasError) {
      displayNameClassName += " has-error has-feedback";
    }

    const priceHasError = !Number.isInteger(editedGame.gamePrice);

    let priceClassName = "form-group"
    if (priceHasError) {
      priceClassName += " has-error has-feedback";
    }
console.log(editedGame);
    const formHasError = displayNameHasError || priceHasError;

    return (
      <form className="form-horizontal">
        <div className="form-group">
          <label
            htmlFor="inputCodename"
            className="col-sm-2 control-label"
          >
            Codename
          </label>
          <div className="col-sm-10">
            <input
              type="text"
              minLength="1"
              className="form-control"
              id="inputCodename"
              placeholder="Codename"
              value={editedGame.gameCodeName}
              readOnly
            />
          </div>
        </div>
        <div className={displayNameClassName}>
          <label
            htmlFor="inputDisplayName"
            className="col-sm-2 control-label"
          >
            Name
          </label>
          <div className="col-sm-10">
            <input
              type="text"
              minLength="1"
              className="form-control"
              id="inputDisplayName"
              placeholder="Name"
              value={editedGame.displayName}
              onChange={(e) => actionCreators.updateEditedGameName(e.target.value)}
            />
          </div>
        </div>
        <div className={priceClassName}>
          <label
            htmlFor="inputPrice"
            className="col-sm-2 control-label"
          >
            Price
          </label>
          <div className="col-sm-10">
            <input
              type="number"
              className="form-control"
              id="inputPrice"
              placeholder="Price"
              value={editedGame.gamePrice}
              onChange={(e) => actionCreators.updateEditedGamePrice(e.target.value)}
            />
          </div>
        </div>
          <button
            type="button"
            className="btn btn-default"
            onClick={() => actionCreators.cancelEdit()}
          >
            Cancel
          </button>
          <button
            disabled={formHasError}
            type="button"
            className="btn btn-primary"
            onClick={() => actionCreators.updateEditedGame()}
          >
            Update
          </button>
      </form>
    );
  }
}
