import Dispatcher from './Dispatcher.js';
import actionTypes from './actionTypes';

export default {
  showDetailsFor(game) {
    Dispatcher.dispatch({
      type: actionTypes.ShowDetailsFor,
      payload: {
        game: game,
      },
    })
  },

  cancelEdit() {
    Dispatcher.dispatch({
      type: actionTypes.CancelEdit,
      payload: {},
    });
  },

  updateEditedGame() {
    Dispatcher.dispatch({
      type: actionTypes.UpdateEditedGame,
      payload: {},
    })
  },

  updateEditedGameName(updatedName) {
    Dispatcher.dispatch({
      type: actionTypes.UpdateEditedGameName,
      payload: {
        updatedName: updatedName,
      },
    })
  },

  updateEditedGamePrice(updatedPrice) {
    Dispatcher.dispatch({
      type: actionTypes.UpdateEditedGamePrice,
      payload: {
        updatedPrice: updatedPrice,
      },
    })
  }
}
