import React from 'react';
import ReactDOM from 'react-dom';
import App from './App';
import Dispatcher from './Dispatcher';
import { createGameStore } from './GameStore';
import './index.css';

class RootComponent extends React.Component {
  componentWillMount() {
    this.props.subscribeToGameStore(store => {
      this.setState({
        games: store.getGames(),
        editedGame: store.getEditedGame(),
      });
    });
  }

  render() {
    return (
      /* {...this.state} is a syntax sugar for {games: this.state.games, developers: this.state.developers, ...}*/
      <App {...this.state} />
    );
  }
}

// initialGames is a constant that's rendered in a view generated by server
const initialGames = window.initialGames || [];
const GameStore = createGameStore(initialGames);

ReactDOM.render(
  <RootComponent subscribeToGameStore={Dispatcher.register(GameStore)} />,
    document.getElementById('react-root')
);
