namespace GameStore.Migrations.GameStoreContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Awards",
                c => new
                    {
                        Id = c.Guid(nullable: false, identity: true),
                        Badge = c.Binary(),
                        DisplayName = c.String(),
                        CodeName = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.Developers",
                c => new
                    {
                        Id = c.Guid(nullable: false, identity: true),
                        DisplayName = c.String(),
                        CodeName = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.GameWrappers",
                c => new
                    {
                        Id = c.Guid(nullable: false, identity: true),
                        StockItemId = c.String(),
                        Price = c.Decimal(nullable: false, precision: 18, scale: 2),
                        DisplayName = c.String(),
                        CodeName = c.String(),
                        Developer_Id = c.Guid(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.Developers", t => t.Developer_Id)
                .Index(t => t.Developer_Id);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.GameWrappers", "Developer_Id", "dbo.Developers");
            DropIndex("dbo.GameWrappers", new[] { "Developer_Id" });
            DropTable("dbo.GameWrappers");
            DropTable("dbo.Developers");
            DropTable("dbo.Awards");
        }
    }
}
