namespace GameStore.Migrations.GameStoreContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class UniqueCodeNameAdded : DbMigration
    {
        public override void Up()
        {
            AlterColumn("dbo.Awards", "CodeName", c => c.String(nullable: false, maxLength: 254));
            AlterColumn("dbo.Games", "CodeName", c => c.String(nullable: false, maxLength: 254));
            AlterColumn("dbo.Developers", "CodeName", c => c.String(nullable: false, maxLength: 254));
            CreateIndex("dbo.Awards", "CodeName", unique: true);
            CreateIndex("dbo.Games", "CodeName", unique: true);
            CreateIndex("dbo.Developers", "CodeName", unique: true);
        }
        
        public override void Down()
        {
            DropIndex("dbo.Developers", new[] { "CodeName" });
            DropIndex("dbo.Games", new[] { "CodeName" });
            DropIndex("dbo.Awards", new[] { "CodeName" });
            AlterColumn("dbo.Developers", "CodeName", c => c.String());
            AlterColumn("dbo.Games", "CodeName", c => c.String());
            AlterColumn("dbo.Awards", "CodeName", c => c.String());
        }
    }
}
