namespace Migrations.GameContextMigrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;
    using GameStore.Entities.DataAccessModels;

    internal sealed class GamersContextConfiguration : DbMigrationsConfiguration<GameStore.Entities.Contexts.GamersContext>
    {
        public GamersContextConfiguration()
        {
            AutomaticMigrationsEnabled = true;
            AutomaticMigrationDataLossAllowed = true;
            MigrationsDirectory = @"GamersContextMigrations\Migrations";
        }

        /// <summary>
        /// When using <see cref="IDbSet{TEntity}.AddOrUpdate()"/>, always specify pattern to match between new and existing object.
        /// Do no use this in production code to avoid unitentional data loss.
        /// </summary>
        protected override void Seed(GameStore.Entities.Contexts.GamersContext context)
        {
            context.Gamers.AddOrUpdate(
                gamer => gamer.CodeName,
                new Gamer { CodeName = "s00k", DisplayName = "Spooking Spooker" },
                new Gamer { CodeName = "k11l", DisplayName = "Instant Gamester" });
        }
    }
}
